---
title: HTMLMediaElement.defaultPlaybackRate
slug: Web/API/HTMLMediaElement/defaultPlaybackRate
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Property
  - Web
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLMediaElement.defaultPlaybackRate</code></strong> property indicates the default playback rate for the media.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var <em>dSpeed</em> = <em>video</em>.defaultPlaybackRate;
<em>audio</em>.defaultPlaybackRate = 1.0;
</pre>

<h3 id="Value">Value</h3>

<p>A double. 1.0 is "normal speed," values lower than 1.0 make the media play slower than normal, higher values make it play faster. The value 0.0 is invalid and throws a <code>NOT_SUPPORTED_ERR</code> exception.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var obj = document.createElement('video');
console.log(obj.defaultPlaybackRate); // 1
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-defaultplaybackrate", "HTMLMediaElement.defaultPlaybackRate")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.defaultPlaybackRate")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.defaultPlaybackRate")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
</ul>
